TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Properties | List of all members
TIBCO.EMS.ConnectionMetaData Class Reference

A ConnectionMetaData object provides information describing the Connection object. More...

## Properties
string | Version`[get]`
| Gets version number of the JMS specification supported by the provider. More...
int | MajorVersion`[get]`
| Gets the major version number of the JMS specification supported by the provider. More...
int | MinorVersion`[get]`
| Gets the minor version number of the JMS specification supported by the provider. More...
string | ProviderName`[get]`
| Gets the provider name More...
string | ProviderVersion`[get]`
| Gets the provider version number More...
int | ProviderMajorVersion`[get]`
| Gets the provider major version number More...
int | ProviderMinorVersion`[get]`
| Gets the provider minor version number More...
IEnumerator | JMSXPropertyNames`[get]`
| Gets the JMX property names More...

## Detailed Description

A ConnectionMetaData object provides information describing the Connection object.

Programs can retrieve this object from a connection; see MetaData.

## Property Documentation

IEnumerator TIBCO.EMS.ConnectionMetaData.JMSXPropertyNames
| get

Gets the JMX property names

Enumerates the JMX message properties.

Returns
  the JMX property names

int TIBCO.EMS.ConnectionMetaData.MajorVersion
| get

Gets the major version number of the JMS specification supported by the provider.

Returns
  The major version number of the JMS specification

int TIBCO.EMS.ConnectionMetaData.MinorVersion
| get

Gets the minor version number of the JMS specification supported by the provider.

Returns
  The minor version number of the JMS specification

int TIBCO.EMS.ConnectionMetaData.ProviderMajorVersion
| get

Gets the provider major version number

Returns
  The major version number of the provider (EMS).

int TIBCO.EMS.ConnectionMetaData.ProviderMinorVersion
| get

Gets the provider minor version number

Returns
  The minor version number of the provider (EMS).

string TIBCO.EMS.ConnectionMetaData.ProviderName
| get

Gets the provider name

Returns
  Vendor name of the provoder.

string TIBCO.EMS.ConnectionMetaData.ProviderVersion
| get

Gets the provider version number

Returns
  The version number of the provider (EMS).

string TIBCO.EMS.ConnectionMetaData.Version
| get

Gets version number of the JMS specification supported by the provider.

Returns
  Version number of the JMS specification